PETSc version 3.15.5
Fix/Edit manual page

# DMPlexOrientCell

Set the desired order of cone points of this DAG point, and fix orientations accordingly.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexOrientCell(DM dm, PetscInt p, PetscInt mainConeSize, const PetscInt mainCone[])

Not Collective

### Input Parameters

| dm | - The DM
| p | - The DAG point (from interval given by DMPlexGetChart())
| mainConeSize | - Number of specified cone points (at least 2)
| mainCone | - Specified cone points, i.e. ordered subset of current cone in DAG numbering (not cone-local numbering)

### See Also

DMPlexOrient(), DMPlexGetCone(), DMPlexGetConeOrientation(), DMPlexInterpolate(), DMPlexGetChart()

### Level

intermediate

### Location

src/dm/impls/plex/plexorient.c

### Implementations

DMPlexOrientCell_Internal in src/dm/impls/plex/plexorient.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages